找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 283|回复: 13

[求助] 安装Pygame

3

主题

17

帖子

17

积分

贫民

积分
17
宋宋 发表于 2017-12-13 21:04:53 | 显示全部楼层 |阅读模式
    我是一个中学生,迷上了编程,所以很多特别专业化的用语我可能听不懂。我比较愚鲁,所以经常要追问,请见谅。谢谢。    我想装个pygame,但是不知道为什么,他显示我有xcode,但是却无法使用(百度翻译告诉我的)望各位大神帮忙解决解决。谢谢。



截图1—1—1.png
回复

使用道具 举报

2

主题

213

帖子

213

积分

版主

Rank: 7Rank: 7Rank: 7

积分
213

热心会员默默耕耘优秀版主

剑心无痕 发表于 2017-12-14 08:47:53 | 显示全部楼层
直接运行sudo pip3 install pygame就可以安装了
回复 支持 反对

使用道具 举报

3

主题

17

帖子

17

积分

贫民

积分
17
宋宋  楼主| 发表于 2017-12-14 18:19:12 | 显示全部楼层
我按照您的方法输入了,但是终端如图所示,应该没有成功,抱歉。请问能帮忙找到问题吗?@剑心无痕 谢谢

回复 支持 反对

使用道具 举报

3

主题

17

帖子

17

积分

贫民

积分
17
宋宋  楼主| 发表于 2017-12-14 18:20:33 | 显示全部楼层
我按照您的方法输入了,但是终端如图所示,应该没有成功,抱歉。请问能帮忙找到问题吗?@剑心无痕 谢谢

686558F7-7516-4003-8FE9-CDB908E1FD3C.png
394773EB-268B-47E1-AA91-9B1CBE4F1746.png
89B1314D-B4B2-4366-8B68-39602AAA5246.png
8A2C7E7B-1FB8-4319-B766-AAFC9F731000.png
8290ED22-4BE0-4653-BB4F-6BF2A2947713.png
88B0DF4D-D46C-4790-AE8C-81A96AE47401.png
回复 支持 反对

使用道具 举报

0

主题

103

帖子

103

积分

侠客

积分
103
sheeboard 发表于 2017-12-14 20:09:29 | 显示全部楼层
用anaconda集成包试试,先装anaconda,再 conda install -c tlatorre pygame 装pygame。
回复 支持 反对

使用道具 举报

3

主题

17

帖子

17

积分

贫民

积分
17
宋宋  楼主| 发表于 2017-12-14 22:07:20 | 显示全部楼层
sheeboard 发表于 2017-12-14 20:09
用anaconda集成包试试,先装anaconda,再 conda install -c tlatorre pygame 装pygame。

怎么安装集成包?
回复 支持 反对

使用道具 举报

0

主题

103

帖子

103

积分

侠客

积分
103
sheeboard 发表于 2017-12-14 22:33:44 | 显示全部楼层
去anaconda官网下载相关安装文件,sh是脚本安装文件,pkg是图形安装文件。

anaconda_formac

anaconda_formac
回复 支持 反对

使用道具 举报

2

主题

213

帖子

213

积分

版主

Rank: 7Rank: 7Rank: 7

积分
213

热心会员默默耕耘优秀版主

剑心无痕 发表于 2017-12-15 10:45:30 | 显示全部楼层
刚看了一下你报的错误,找不到SDL.h 我在我的机器上也include "SDL.h"一样报错
但是我用mac10.11.6系统python3.6.1安装的pygame1.9.3没有报错
你的环境是mac10.6系统python3.7安装pygame1.9.3报错,试着用python3.6安装?
回复 支持 反对

使用道具 举报

2

主题

408

帖子

408

积分

版主

Rank: 7Rank: 7Rank: 7

积分
408

最佳新人热心会员默默耕耘

whydo1 发表于 2017-12-15 20:02:42 | 显示全部楼层
建议用python3.4或3.5, 可用模块多一些
python3.4.4, win10
回复 支持 反对

使用道具 举报

3

主题

17

帖子

17

积分

贫民

积分
17
宋宋  楼主| 发表于 2017-12-15 22:57:02 | 显示全部楼层
whydo1 发表于 2017-12-15 20:02
建议用python3.4或3.5, 可用模块多一些

谢谢
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表